Application: gvSIG desktop - gvSIG bugs #5280
Marcadores agrupados se visualizan siempre, incluso en encuadres que no corresponden
05/20/2020 12:26 PM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Symbology

Target version: 2.5.1-3025 (no-usable)

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3023 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cargamos dos capas, como las adjunta, una (ejes) es de Valencia y otra (toponimia) de otra zona (Aragén). Hacemos una leyenda de
marcadores en la capa de toponimia. Vamos al TOC, hacemos zoom a la capa de Valencia...y por encima de la capa se visualizan
los marcadores de la capa de Toponimia.

Associated revisions

Revision 3695 - 06/12/2020 01:44 AM - Oscar Martinez

refs #5280 Limpiar valores después del pintado

History

#1 - 06/08/2020 09:54 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3025 (no-usable)

#2 - 06/12/2020 01:43 AM - Oscar Martinez

- Status changed from New to Fixed

El problema viene en el DefaultAggregateLegend (proyecto org.gvsig.legend.aggregate) que el método draw, donde llama aparte del super.draw,
llama al this.drawGroups, y en ese no se comprueba si el envelope entra o no para pintarse. La variable groups viene ya rellenada del pintado
anterior y en ningun momento se borran.

Una solucién es limpiar la variable groups después de pintarse al final de drawGroups.

Lo dejo documentado por si la solucién no es la adecuada.

#3 - 06/18/2020 04:59 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

01_marcadores.png 217 KB 05/20/2020 Alvaro Anguix
toponimia_Bagues.zip 23.3 KB 05/20/2020 Alvaro Anguix
EJES-CALLE.zip 940 KB 05/20/2020 Alvaro Anguix
